import { request } from '@/utils/request.js'

/**
 * 公共接口 API接口
 */
export default {
  /**
   * 获取媒体列表options
   * @returns
   */
  getMediaOptionsApi(params = {}) {
    return request({
      url: '/v1/common/getMediaOptions',
      method: 'get',
      params
    })
  },

  /**
   * 获取渠道列表options
   * @returns
   */
  getAgentOptionsApi(params = {}) {
    return request({
      url: '/v1/common/getAgentOptions',
      method: 'get',
      params
    })
  },

  /**
   * 获取后台归属人列表
   * @returns
   */
  getAuthOptionsApi(params = {}) {
    return request({
      url: '/v1/common/getAuthOptions',
      method: 'get',
      params
    })
  }
}
